Skip to content
Get started

Swap models on agent variations

POST/v1/workspaces/{workspaceId}/models:swapModelOnVariations

Reassigns agent variations from one model to another in bulk. Runs asynchronously and returns immediately.

Path ParametersExpand Collapse
workspaceId: string
Body ParametersJSONExpand Collapse
modelSwaps: optional array of object { currentModelId, disableCurrentAfterSwap, nextModelId }

The swaps to perform.

currentModelId: optional string

The model variations are currently on. Accepts an id or “external_id:” slug.

disableCurrentAfterSwap: optional boolean

Whether to disable the current model after the swap.

nextModelId: optional string

The model to move variations to. Accepts an id or “external_id:” slug.

Swap models on agent variations

curl https://api.cadenya.com/v1/workspaces/$WORKSPACE_ID/models:swapModelOnVariations \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $CADENYA_API_KEY" \
    -d '{}'
{}
Returns Examples
{}